javax.xml.datatype

## Class DatatypeConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.datatype.DatatypeConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class DatatypeConfigurationException
    extends java.lang.Exception

Indicates a serious configuration error.

TODO: support all constructors

Since:
  1.5
Version:
  $Revision: 1.3 $, $Date: 2005/06/03 18:54:52 $
Author:
  Jeff Suttor
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DatatypeConfigurationException()` Create a new `DatatypeConfigurationException` with no specified detail mesage and cause.
`DatatypeConfigurationException(java.lang.String message)` Create a new `DatatypeConfigurationException` with the specified detail message.
`DatatypeConfigurationException(java.lang.String message, java.lang.Throwable cause)` Create a new `DatatypeConfigurationException` with the specified detail message and cause.
`DatatypeConfigurationException(java.lang.Throwable cause)` Create a new `DatatypeConfigurationException` with the specified cause.

### Method Summary

Methods
`void` `printStackTrace()` Print the the trace of methods from where the error originated.
`void` `printStackTrace(java.io.PrintStream s)` Print the the trace of methods from where the error originated.
`void` `printStackTrace(java.io.PrintWriter s)` Print the the trace of methods from where the error originated.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DatatypeConfigurationException

    public DatatypeConfigurationException()

Create a new `DatatypeConfigurationException` with no specified detail mesage and cause.

#### DatatypeConfigurationException

    public DatatypeConfigurationException(java.lang.String message)

Create a new `DatatypeConfigurationException` with the specified detail message.

Parameters:
  `message` - The detail message.

#### DatatypeConfigurationException

    public DatatypeConfigurationException(java.lang.String message,
                                  java.lang.Throwable cause)

Create a new `DatatypeConfigurationException` with the specified detail message and cause.

Parameters:
  `message` - The detail message.
  `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

#### DatatypeConfigurationException

    public DatatypeConfigurationException(java.lang.Throwable cause)

Create a new `DatatypeConfigurationException` with the specified cause.

Parameters:
  `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

### Method Detail

#### printStackTrace

    public void printStackTrace()

Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`
Parameters:
  `s` - The stream where the dump will be sent to.

#### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`
Parameters:
  `s` - The writer where the dump will be sent to.